Apis for files resources
LawVu Files (1.0)
Download OpenAPI description
Languages
Servers
Sandbox API
https://api-sandbox.lawvu.com/file-apis
Production API
https://api.lawvu.com/file-apis
Query
The record type the folders are linked to (Matter, Contract, Organisation etc)
Options:
- Matter
- Milestone
- Task
- Organisation
- Contract
- File
- InvoiceBatch
- KnowledgeArticle
- Folder
- FolderTemplate
- KnowledgeLibrary
- InboundEmail
- User
- MessageThread
- TimelineEntry
- MatterStatus
- ContractStatus
- Message
- Comment
Enum"Matter""Milestone""Task""Organisation""Contract""File""InvoiceBatch""KnowledgeArticle""Folder""FolderTemplate"
- Sandbox APIhttps://api-sandbox.lawvu.com/file-apis/v1/folders
- Production APIhttps://api.lawvu.com/file-apis/v1/folders
- Payload
- JavaScript
- Node.js
- C#
- Python
No request payloadResponse
- text/plain
- application/json
- text/json
[
{
"id": 1,
"name": "Folder 1 test"
},
{
"id": 2,
"name": "Folder 2 test"
}
]Body
- application/json-patch+json
- application/json
- text/json
- application/*+json
Details of the folder to create
- Sandbox APIhttps://api-sandbox.lawvu.com/file-apis/v1/folders/{targetType}/{targetId}
- Production APIhttps://api.lawvu.com/file-apis/v1/folders/{targetType}/{targetId}
- Payload
- JavaScript
- Node.js
- C#
- Python
- application/json-patch+json
- application/json
- text/json
- application/*+json
{ "name": "New Folder", "parentFolderId": 4375767 }
Response
- text/plain
- application/json
- text/json
No response example